var gulp        = require('gulp');
var $           = require('gulp-load-plugins')({lazy:true});
var browserify = require('browserify');
var babelify = require("babelify");
var source = require('vinyl-source-stream');
var babel = require('gulp-babel');

gulp.task('compile', function(){
   return   browserify('./src/array-includes-polyfill-es6.js', {debug:true})
            .transform(babelify)
            //.bundle()
            .pipe(source('index.js'))
            .pipe(gulp.dest('./'));
});

gulp.task('example', function(){
   return   browserify('./src/example.js', {debug:true})
            .transform(babelify)
            .bundle()
            .pipe(source('example.js'))
            .pipe(gulp.dest('./'));
});



gulp.task('dist', function () {
    return gulp.src('src/**/*.js')
        .pipe(babel())
        .pipe(gulp.dest('dist'));
});
