'use strict';

var arrES6 = require('./array-includes-polyfill-es6');
var arr = new arrES6();
console.log(arr);

arr.push('Has includes polyfill');
console.log(arr.includes('Has includes polyfill'));
console.log(arr);

var obj1 = { id: '_$1QA2WS3ED', user: 'john doe', details: { dob: '01/01/99' } };
var obj2 = { id: '_$1QA2WS3EF', user: 'john doe', details: { dob: '01/02/99' } };
var obj3 = { id: '_$1QA2WS3EG', user: 'john doe', details: { dob: '01/01/99' } };

var obj4 = { id: '_$1QA2WS3EH', user: 'jane doe', details: { dob: '01/02/99' } };
var obj5 = { id: '_$1QA2WS3EI', user: 'jack doe', details: { dob: '01/05/99' } };
var obj6 = { id: '_$1QA2WS3EJ', user: 'july doe', details: { dob: '01/06/99' } };

arr.push(obj1, obj2, obj3, obj4, obj6);

arr.lookup({ id: '_$1QA2WS3ED' }).details.occupation = "programmer";
console.log(arr.lookup({ id: '_$1QA2WS3ED' }));

arr.lookup({ user: 'john doe', details: { dob: '01/02/99' } }).details.occupation = "programmer";
console.log(arr.lookup({ user: 'john doe', details: { dob: '01/02/99' } }));

arr.trash({ id: '_$1QA2WS3EJ' });
console.log(arr); //<-- Deletes user july doe from the array permanently.

var destination = arr.copy();
arr.copy(destination);

var test = [{ hello: 'world', id: 1234 }];
var arr = new arrES6(test); //<-- will return a new array-inc-polyfill object generated from test array
console.log(arr.lookup({ id: 1234 })); //<-- will return the object from lookup method.

var arr = new arrES6([{ id: 123 }, { id: 321 }, { id: 213 }]);
console.log(arr); //<-- should equal an empty an Array like object;
arr.clear();

var arr = new arrES6({ test: 123, testa: 321, testb: 213 });
console.log(arr);
arr.clear();
